import { Injectable } from '@angular/core';
import { User } from '../../class/user';
import {encode, decode} from 'base-64';
@Injectable({
  providedIn: 'root'
})
export class AuthService {
  set user (val: User) {
    localStorage.setItem("user",  encode(`${val.username}:${val.password}`));
  }
  get user () {
    if (localStorage.getItem("user")) {
     const userValues = decode(localStorage.getItem("user")).split(':');
     const user: User = {username: userValues[0], password: userValues[1]}
     return user;
    }
    return null;
  }

  getUserToken () {
    if (localStorage.getItem("user")) {
      return `Basic ${localStorage.getItem("user")}`;
    }
    return ''
  }

  logout() {
    if (localStorage.getItem("user")) {
      localStorage.removeItem("user");
    }
  }
  constructor() { }


}
