import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService } from '../auth/service/auth.service';

@Component({
  selector: 'app-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.scss']
})
export class FooterComponent implements OnInit {

  constructor(protected authService: AuthService, protected router: Router) { }

  ngOnInit(): void {
  }

  isLogedIn (): boolean {
    return !!this.authService.user;
  }

  logout () {
    this.authService.logout();
    this.router.navigate(['login']);
  }

}
