import { Component, OnInit } from '@angular/core';
import { Rule } from '../../../../api/model/rule';
import { RulesService } from '../../../../api/api/rules.service';
import { RuleDataService } from '../../service/rule-data.service';
import { Router } from '@angular/router';
import { environment } from '../../../environments/environment';
@Component({
  selector: 'app-rules',
  templateUrl: './rules.component.html',
  styleUrls: ['./rules.component.scss']
})
export class RulesComponent implements OnInit {
  rules: Rule[] = []
  constructor(
    protected rulesService: RulesService,
    protected ruleDataService: RuleDataService,
    protected router: Router,
  ) {
    rulesService.configuration.basePath = environment.apiUrl;
  }


  ngOnInit(): void {
    this.rulesService.findAll('body').subscribe((rules: Rule[]) => {
      this.rules = rules
        .sort(this.ruleDataService.compareRulesByParagraph)

    })
  }
  openAdminArea() {
    this.router.navigate(['/admin/create']);
  }

}
